OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKVRML
Vrml

# Vrml_Switch Class Reference

defines a Switch node of VRML specifying group properties.
This group node traverses one, none, or all of its children.
One can use this node to switch on and off the effects of some
properties or to switch between different properties.
The whichChild field specifies the index of the child to traverse,
where the first child has index 0.
A value of -1 (the default) means do not traverse any children.
A value of -3 traverses all children, making the switch behave exactly
like a regular Group.

`#include <Vrml_Switch.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Vrml_Switch (const Standard_Integer aWhichChild=-1)
Standard_EXPORT void | SetWhichChild (const Standard_Integer aWhichChild)
Standard_EXPORT Standard_Integer | WhichChild () const
Standard_EXPORT Standard_OStream & | Print (Standard_OStream &anOStream) const
## Private Attributes
Standard_Integer | myWhichChild

## Constructor & Destructor Documentation

Standard_EXPORT Vrml_Switch::Vrml_Switch | ( | const Standard_Integer | aWhichChild = `-1` | ) |

## Member Function Documentation

void Vrml_Switch::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Vrml_Switch::operator new | ( | size_t | size | ) | `[inline]`

void* Vrml_Switch::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Standard_OStream& Vrml_Switch::Print | ( | Standard_OStream & | anOStream | ) | const

Standard_EXPORT void Vrml_Switch::SetWhichChild | ( | const Standard_Integer | aWhichChild | ) |

Standard_EXPORT Standard_Integer Vrml_Switch::WhichChild | ( |  | ) | const

## Field Documentation

Standard_Integer Vrml_Switch::myWhichChild`[private]`

The documentation for this class was generated from the following file:

- Vrml_Switch.hxx